Quelle version choisir ?

Réduire
X
  • Filtrer
  • Heure
  • Afficher
Tout effacer
nouveaux messages

  • Quelle version choisir ?

    Bonjour à tous,

    Je dois bientôt déployer 2 sites pour une mis en production :
    - un pour une association sportive
    - l'autre pour une pratique sportive (niveau fédéral)

    J'ai déjà opté pour Joomla il y a quelques temps, mais pour le moment j'en suis à travailler en local afin de paufiner mon offre de service sur les sites (composants et fonctionnalités disponibles).

    Aujourd'hui, pour mes deux sites (quasi identiques en terme de fonctionnalités) j'en suis rendu à utiliser :
    - Joomla 1.0.12
    - DocMan 1.3 RC2
    - Zoom Media Gallery 2.51 RC3
    - Firebord 1.0.1
    - Extended Calendar 0.9.2 RC4
    - JoomlaXplorer 1.6.1
    - VirtueMart 1.0.12
    - D4J transmenu
    - eBackup 1.0.0 Beta


    Ma question : je migre mon 1.0.12 vers 1.0.13 ou je recommence tout en 1.5RC1
    - sachant que j'ai développé des templates en partant de la base 247ExtenderC
    - sachant également que je m'oriente vers le développement d'un composant de suivi de championnat (condensé de fonctionnalités entre LMD et phpMSport)

    Merci pour votre aide précieuse !!

  • #2
    Naturellement en version 1.0.13 car la 1.5rc1 est destiné au développeurs d'extensions afin de tester leur réalisation (ou la compatibilité en de la 1.5 en mode legacy) avant la sortie d'une version définitive de joomla 1.5


    Comme toujours une sauvegarde est conseillée avant toute mise à jour. (on n'a pas encore testé tous les composants).
    Joomla User Group (JUG) Lille : https://www.facebook.com/groups/JUGLille/

    Commentaire


    • #3
      Bonjour,

      C'est mon premier post sur ce forum, alors soyez indulgents.

      J'ai moi aussi un problème de version et j'avoue que je ne sais vraiment pas laquelle choisir.

      Ce matin je ne connaissais rien aux CMS et j'ai décidé de me lancer. J'ai surfé comme un dingue et j'ai décidé que ce sera Joomla!.

      En d'autres termes : je pars de zéro.

      Je n'utilise jamais de version bêta en production, c'est un principe. Les RC en revanche il m'arrive de les prendre et là, en l'occurrence, je suis très tenté. Il faut dire que :
      • Je pars de zéro, je n'ai donc pas la culture du produit ;
      • Je vais m'investir à fond dans la connaissance de Joomla!, puisque je vais devoir gérer plusieurs sites avec des profils différents, autant partir sur les nouvelles bases ;
      • Mon niveau en informatique est très bon ;
      • Mon niveau en terme de conception de site est très moyen pour ne pas dire mauvais : j'ai l'intention de sous-traiter cet aspect ou de prendre des modèles aboutis.

      Si les motifs de prendre tout de suite la RC me semblent évidents, les motifs pour l'éviter me sont totalement inconnus puisque je n'ai pas encore une bonne connaissance de Joomla! et de sa communauté. Alors soyez sympa ne me répondez pas que les réponses sont sur les sites, j'ai passé la journée à butiner, et donnez moi quelques clefs pour que je prenne la bonne décision.
      • La version 1.5 est-elle fondamentalement différente par rapport à la version 1.0 ou est-elle d'abord une manière de consommer le divorce avec Mambo ? En d'autres termes, les geeks sauront-ils m'aider en cas de besoin ou partent-ils de zéro aussi ?
      • Je ne m'en sors pas dans l'organisation des ressources. J'ai installé bêtement une 1.5RC1 et cherché vainement le kit de langue pour le français. J'ai constaté par la suite qu'il fallait télécharger la 1.5RC1 complète en français. Il y a des serveurs FTP publics, des miroirs ou d'autres ressources que j'aurais loupé ?
      • S'il y a une page qui répertorie les extensions compatibles avec la 1.5 ou celles qui le seront, ça m'intéresse.
      Voilà, merci pour vos réponses.

      À+

      Commentaire


      • #4
        [Réglé] - Quelle version choisir ?

        Bon ben en résumé cette RC1 est en fait une béta de plus, il y a encore trop de petits bugs pour pouvoir l'exploiter en production sereinement. Dommage.

        À+

        Commentaire


        • #5
          Zeugma, tu as dû en effet louper des choses !
          La première question qui me vient à l'esprit est celle de la date à laquelle tu veux que ton site soit opérationnel.

          De toutes manières, si je devais démarrer aujourd'hui, le choix serait pour moi difficile entre la 1.0.13 et la 1.5 RC1, qui doit quand même être assez stable, tout simplement à cause des extensions et de leur compatibilité.
          Beaucoup d'extensions ne sont pas encore adaptées à ces nouvelles versions. Pire, le passage à la 1.0.13 plante certains sites en raison de cette non-compatibilité.
          Ma conclusion est que je conseillerais plutôt la 1.5 pour un débutant, et l'attentisme pour des sites existants !
          "Patience et longueur de temps font plus que force ni que rage..." (La Fontaine : Le Lion et le Rat) - "Il n'y a pas de problèmes; il n'y a que des solutions" (André Gide). MoovJla et LazyDbBackup sur www.joomxtensions.com - FaQ sur www.fontanil.info hébergés chez PHPNET - +sites gérés chez 1and1 et OVH - Site pro : www.robertg-conseil.fr

          Commentaire


          • #6
            Salut,

            Le sujet a déjà été abordé à plusieurs reprises!

            Joomla 1.0 existe en version stable avec des centaines d'extensions disponibles depuis des mois/années, de la doc, du support...

            Joomla 1.5 est en RC (encore plusieurs bugs constatés sur des fonctionnalités natives) avec très peu d'extensions développées pour cette version. Pour un site où il n'y aurait que du contenu ça peut éventuellement le faire.

            Une date pour la sortie Joomla! 1.5 en version stable alors? La core team a décroché du roadmap depuis belle lurette, c'est tout dire Si on prend en compte:
            - les dispos de chacun des dev (chacun a une vie privée et un boulot j'imagine)
            - la gestion globale du projet (cf le débat qui fait rage sur le licensing des extensions)
            - les évènements divers (joomladays, expos...)
            - les humeurs des devs
            - ...

            Il y a suffisamment d'éléments pour comprendre qu'aucune date de sortie fixe ne peut-être annoncée des semaines à l'avance. Et même si Wilco dit "We hope to go to RC2 (Release Candidate Two) early August and Stable should follow very quickly after" ben perso je dirais qu'il ne faudrait même pas en tenir compte. La 1.5 stable sortira quand elle sera prête!
            Pas de demande de support en MP ou par mail, le forum est là pour ça!
            http://www.joomla.fr : news, téléchargements, tutoriels, FAQ, traduction, documentation
            http://www.lapatagonie.com : juste pour vous dépayser un peu...

            Commentaire


            • #7
              Envoyé par RobertG Voir le message
              Zeugma, tu as dû en effet louper des choses !
              La première question qui me vient à l'esprit est celle de la date à laquelle tu veux que ton site soit opérationnel.
              Ben le premier brouillon ce soir pour convaincre de l'utilité d'un CMS. Mais ce site sera simplissime et le restera ; partir sur du neuf n'était pas un obstacle.
              Envoyé par RobertG Voir le message
              De toutes manières, si je devais démarrer aujourd'hui, le choix serait pour moi difficile entre la 1.0.13 et la 1.5 RC1, qui doit quand même être assez stable, tout simplement à cause des extensions et de leur compatibilité.
              Les extensions je m'en occuperai vraiment quand je connaîtrai un peu mieux Joomla! tout nu, donc pas avant ... disons ... un bon mois. Cela dit, j'ai opté pour une ... 1.0.12 parce que cet article est très clair et que, après tout, la 1.0.13 n'apporte pas grand chose si ce n'est un stockage des mots de passe différent (un truc à foutre la zone en effet ). Au passage, j'ai eu du mal à récupérer la 1.0.12 complète en français, il a fallu que je bidouille les URLs pour la trouver.

              Envoyé par RobertG Voir le message
              Ma conclusion est que je conseillerais plutôt la 1.5 pour un débutant, et l'attentisme pour des sites existants !
              Je n'ai pas réussi à faire en sorte que les auteurs et date de modifications ne s'affichent pas de manière globale et il n'y a bien sûr aucune ressource documentaire pour déterminer si mes clics dans Gestions des articles -> Préférences -> Masquer ... -> Sauver étaient la bonne approche (et qu'il s'agit donc d'un bug) ou s'il fallait faire différemment. C'est un exemple parmi d'autres.

              Après deux jours d'essais divers et varié, j'aurais tendance à recommander l'attentisme dans tous les cas de figure. Mais je ne suis qu'un débutant.

              Envoyé par hornos Voir le message
              Joomla 1.5 est en RC (encore plusieurs bugs constatés sur des fonctionnalités natives) avec très peu d'extensions développées pour cette version.
              [...]
              Il y a suffisamment d'éléments pour comprendre qu'aucune date de sortie fixe ne peut-être annoncée des semaines à l'avance. Et même si Wilco dit "We hope to go to RC2 (Release Candidate Two) early August and Stable should follow very quickly after" ben perso je dirais qu'il ne faudrait même pas en tenir compte. La 1.5 stable sortira quand elle sera prête!
              Ben si tu avais posté ça il y a deux jours, je n'aurai pas pris le risque de faire le choix de la RC.

              Je me suis fait avoir parce qu'une RC ne devrait plus trop bouger. En fait, la Core Team de Joomla! n'a pas la même définition d'une RC que par exemple Mozilla et quelques autres. Il y a encore pas mal de boulot sur la version 1.5. Je pense que la Core Team a dénommé cette version "RC" pour signifier aux développeurs d'extensions que le cœur ne bougerait plus et qu'il peuvent se mettre au travail.

              À+
              Dernière édition par Zeugma à 26/07/2007, 10h56 Raison: Ajout de la réponse à hornos

              Commentaire


              • #8
                Tiens ! Que vois-je ? Ce fil se retrouve dans "Tout et rien – Parlez de ce que vous voulez -dans les limites légales".

                Je ne suis pas sûr que je veuille intégrer votre communauté.

                À+

                Commentaire


                • #9
                  Pour avancer sur le sujet :
                  La mise en production doit se faire aux alentours du 1er septembre 2007.
                  en 1.0.13 ou 1.5 RC1 sachant que beaucoup de choses ont réellement changé entre les deux versions

                  Quels composants et modules sont déja validés pour la 1.5 parmi ceux cités ?
                  - DocMan 1.3 RC2
                  - Zoom Media Gallery 2.51 RC3
                  - Firebord 1.0.1
                  - JCal Pro 1.5 (remplaçant de Extended Calendar 0.9.2 RC4)
                  - JoomlaXplorer 1.6.1
                  - VirtueMart 1.0.12
                  - D4J transmenu
                  - eBackup 1.0.0 Beta

                  Commentaire


                  • #10
                    salut Caribou#35

                    attention à ta syntaxe. Ton dernier propos laisse entendre que tu affirmes que ta longue liste de composants et modules est compatible 1.5 (le point d'interrogation est avant la liste) alors qu'en lisant Hornos (l'un des big boss si je ne m'abuses) ce serait bel et bien l'inverse : rien de compatible pour l'instant....

                    Commentaire


                    • #11
                      Envoyé par Zeugma Voir le message
                      Tiens ! Que vois-je ? Ce fil se retrouve dans "Tout et rien – Parlez de ce que vous voulez -dans les limites légales".

                      Je ne suis pas sûr que je veuille intégrer votre communauté.

                      À+
                      je ne vois pas ou est ton problème? quelque soit le lieu où cette conversation se sera tenue, ellea eu le mérite de résumer pas mal de choses et de faire que pour ce qui me concerne et surement pour d'autres aussi de rectifier le tir sur son projet.

                      J'avais testé et pas mal paramétré en local sur V 1.0 12 et venait tout juste de démarrer des tests sur 1.5 Rc. C'est tout vu, désormais je dépose en ligne mon travail fait sur 1.0.12 et m'en tiendrai là pour le moment.

                      "Trugarez" en passant, aux autres participants de ce fil de conversation même si sans doute il ya eu des redites

                      Commentaire

                      Annonce

                      Réduire
                      1 sur 2 < >

                      C'est [Réglé] et on n'en parle plus ?

                      A quoi ça sert ?
                      La mention [Réglé] permet aux visiteurs d'identifier rapidement les messages qui ont trouvé une solution.

                      Merci donc d'utiliser cette fonctionnalité afin de faciliter la navigation et la recherche d'informations de tous sur le forum.

                      Si vous deviez oublier de porter cette mention, nous nous permettrons de le faire à votre place... mais seulement une fois
                      Comment ajouter la mention [Réglé] à votre discussion ?
                      1 - Aller sur votre discussion et éditer votre premier message :


                      2 - Cliquer sur la liste déroulante Préfixe.

                      3 - Choisir le préfixe [Réglé].


                      4 - Et voilà… votre discussion est désormais identifiée comme réglée.

                      2 sur 2 < >

                      Assistance au forum - Outil de publication d'infos de votre site

                      Compatibilité: PHP 4.1,PHP4, 5, 6DEV MySQL 3.2 - 5.5 MySQLi from 4.1 ( @ >=PHP 4.4.9)

                      Support Version de Joomla! : | J!3.0 | J!2.5.xx | J!1.7.xx | J!1.6.xx | J1.5.xx | J!1.0.xx |

                      Version française (FR) D'autres versions sont disponibles depuis la version originale de FPA

                      UTILISER À VOS PROPRES RISQUES :
                      L'exactitude et l'exhaustivité de ce script ainsi que la documentation ne sont pas garanties et aucune responsabilité ne sera acceptée pour tout dommage, questions ou confusion provoquée par l'utilisation de ce script.

                      Problèmes connus :
                      FPA n'est actuellement pas compatible avec des sites Joomla qui ont eu leur fichier configuration.php déplacé en dehors du répertoire public_html.

                      Installation :

                      1. Téléchargez l'archive souhaitée : http://afuj.github.io/FPA/

                      Archive zip : https://github.com/AFUJ/FPA/zipball/master

                      2. Décompressez le fichier de package téléchargé sur votre propre ordinateur (à l'aide de WinZip ou d'un outil de décompression natif).

                      3. Lisez le fichier LISEZMOI inclus pour toutes les notes de versions spécifiques.

                      4. LIRE le fichier de documentation inclus pour obtenir des instructions d'utilisation détaillées.

                      5. Téléchargez le script fpa-fr.php à la racine de votre site Joomla!. C'est l'endroit que vous avez installé Joomla et ce n'est pas la racine principale de votre serveur. Voir les exemples ci-dessous.

                      6. Exécutez le script via votre navigateur en tapant: http:// www. votresite .com/ fpa-fr.php
                      et remplacer www. votresite .com par votre nom de domaine


                      Exemples:
                      Joomla! est installé dans votre répertoire web et vous avez installé la version française du fichier FPA:
                      Télécharger le script fpa-fr.php dans: /public_html/
                      Pour executer le script: http://www..com/fpa-fr.php

                      Joomla! est installé dans un sous-répertoire nommé "cms" et vous avez installé la version française du fichier FPA:
                      Télécharger le script fpa-fr.php dans: /public_html/cms/
                      Pour executer le script: http://www..com/cms/fpa-fr.php

                      En raison de la nature très sensible de l'information affichée par le script FPA, il doit être retiré immédiatement du serveur après son utilisation.

                      Pour supprimer le script de votre site, utilisez le lien de script de suppression fourni en haut de la page du script. Si le lien de suppression échoue pour supprimer le script, utilisez votre programme FTP pour le supprimer manuellement ou changer le nom une fois que le script a généré les données du site et le message publié sur le forum. Si le script est toujours présent sur le site, il peut être utilisé pour recueillir suffisamment d'informations pour pirater votre site. Le retrait du script empêche des étrangers de l'utiliser pour jeter un oeil à la façon dont votre site est structuré et de détecter les défauts qui peuvent être utilisé à vos dépends.
                      Voir plus
                      Voir moins
                      Travaille ...
                      X